Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# static_equal
[Algorithms and Utility Functions]

## Detailed Description

Equivalent to std::equal. Pairs the elements semantically.

Example:

    rgb8_pixel_t rgb_red(255,0,0);
    bgr8_pixel_t bgr_red(0,0,255);
    assert(rgb_red[0]==255 && bgr_red[0]==0);

    assert(static_equal(rgb_red,bgr_red));
    assert(rgb_red==bgr_red);  // operator== invokes static_equal

## Functions

template<typename P1, typename P2>
GIL_FORCEINLINE bool | static_equal (const P1 &p1, const P2 &p2)